Core - Feature # 33941

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:

Created: 2012-02-15 Assigned To: Oliver Hader
Updated: 2012-02-16 Due date:

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Add possibility to unset parts in t3lib_div::array_merge_recursive_overrule()
Description

Add possibility to t3lib_div::array_merge_recursive_overrule() to unset values from the resulting array using special values _ UNSET
in the second array.

Related issues:
related to Core - Bug # 43874: array_merge_recursive_overrule: __ _UNSET can't ... Resolved 2012-12-11

Associated revisions

Revision 6667ceef - 2012-02-16 11:23 - Ingmar Schlecht

[FEATURE] Unset parts in t3lib_div::array_merge_recursive_overrule()

Add possibility to t3lib_div::array_merge_recursive_overrule()
to unset values from the resulting array using special values

__UNSET in the second array.

Change-Id: 1ab17d59b80c1e1070c8b2db6b318da0b01fdal3c
Resolves: #33941

Releases: 4.7

Reviewed-on: http://review.typo3.org/9026

Reviewed-by: Oliver Klee
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch
Reviewed-by: Susanne Moog

Tested-by: Susanne Moog

History

#1 - 2012-02-15 13:20 - Oliver Hader
- Parent task set to #33745

#2 - 2012-02-15 13:24 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9026

#3 - 2012-02-16 14:31 - Anonymous
http://review.typo3.org/9026
http://review.typo3.org/9026

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:6667ceeffacbb337747ee019fdc40accad3eadd9.
